import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/index'

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import "@/assets/styles/index.scss"; //全局样式
// import * as echarts from 'echarts'
import './icons'

import animated from 'animate.css';
// 滚动动画 wow.js
import {
  WOW
} from '../public/static/js/wow'
import {
  getFullUrl
} from '@/utils/index'
import './permission'
// import '@/rem'

Vue.config.productionTip = false
Vue.use(ElementUI);
// 全局注册动画效果
Vue.use(animated);

Vue.prototype.$wow = new WOW({
  boxClass: 'wow', // default
  animateClass: 'animated', // default
  offset: 0, // default
  mobile: true, // default
  live: true,
  scrollContainer: null,
  resetAnimation: true,
  // live为true时，控制台会提示：MutationObserver is not supported by your browser. & WOW.js cannot detect dom mutations, please call .sync() after loading new content.
  callback: function (box) {
    console.log("WOW: animating <" + box.tagName.toLowerCase() + ">")
  }
})

Vue.prototype.$getFullUrl = getFullUrl
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
